Bug 1206639 - Review Request: dibbler - Portable DHCPv6 implementation
Summary: Review Request: dibbler - Portable DHCPv6 implementation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kashyap Chamarthy
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-27 15:23 UTC by Ihar Hrachyshka
Modified: 2015-04-22 18:45 UTC (History)
5 users (show)

Fixed In Version: dibbler-1.0.1-0.RC1.2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-07 09:44:23 UTC
kchamart: fedora-review+
puiterwijk: fedora-cvs+


Attachments (Terms of Use)
Successful Koji *scratch* build log (173.14 KB, text/plain)
2015-03-30 10:42 UTC, Kashyap Chamarthy
no flags Details

Description Ihar Hrachyshka 2015-03-27 15:23:33 UTC
Spec URL: https://ihrachyshka.fedorapeople.org/dibbler.spec
SRPM URL: https://ihrachyshka.fedorapeople.org/dibbler-1.0.1-0.RC1.fc21.src.rpm
Description: Dibbler is a portable DHCPv6 implementation. It supports stateful (i.e. IPv6 address granting and IPv6 prefix delegation) as well as stateless (i.e. option granting) autoconfiguration for IPv6.

Fedora Account System Username: ihrachyshka

Comment 1 Kashyap Chamarthy 2015-03-27 23:05:56 UTC
[Human review upcoming. Meanwhile, `fedora-review` tool output here for the record.]


=== `fedora-review` tool output ===


Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


===== MUST items =====

C/C++:
[ ]: Package does not contain kernel modules.
[ ]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later) (with incorrect FSF address)", "LGPL
     (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "Unknown or generated", "GPL (v2 or later) (with incorrect FSF address)",
     "*No copyright* LGPL (v2 or later) (with incorrect FSF address)", "*No
     copyright* GPL (v2 or later)", "GPL (v1 or later) (with incorrect FSF
     address)". 463 files have unknown license. Detailed output of
     licensecheck in /home/kashyapc/work/package-
     review/dibbler/licensecheck.txt
[ ]: License file installed when any subpackage combination is installed.
[ ]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/dibbler, /usr/share/doc/dibbler/scripts,
     /usr/share/doc/dibbler, /usr/share/doc/dibbler/examples
[ ]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/dibbler/examples,
     /usr/share/doc/dibbler/scripts, /etc/dibbler, /usr/share/doc/dibbler
[ ]: %build honors applicable compiler flags or justifies otherwise.
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Useful -debuginfo package or justification otherwise.
[ ]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[ ]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in dibbler-
     client , dibbler-relay , dibbler-requestor , dibbler-server , dibbler-
     docs , dibbler-common
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: dibbler-client-1.0.1-0.RC1.fc23.x86_64.rpm
          dibbler-relay-1.0.1-0.RC1.fc23.x86_64.rpm
          dibbler-requestor-1.0.1-0.RC1.fc23.x86_64.rpm
          dibbler-server-1.0.1-0.RC1.fc23.x86_64.rpm
          dibbler-docs-1.0.1-0.RC1.fc23.x86_64.rpm
          dibbler-common-1.0.1-0.RC1.fc23.x86_64.rpm
          dibbler-1.0.1-0.RC1.fc23.src.rpm
dibbler-client.x86_64: W: spelling-error %description -l en_US stateful -> tasteful, wasteful, fateful
dibbler-client.x86_64: W: spelling-error %description -l en_US autoconfiguration -> auto configuration, auto-configuration, reconfiguration
dibbler-client.x86_64: E: incorrect-fsf-address /usr/share/licenses/dibbler-client/LICENSE
dibbler-relay.x86_64: W: spelling-error %description -l en_US stateful -> tasteful, wasteful, fateful
dibbler-relay.x86_64: W: spelling-error %description -l en_US autoconfiguration -> auto configuration, auto-configuration, reconfiguration
dibbler-relay.x86_64: E: incorrect-fsf-address /usr/share/licenses/dibbler-relay/LICENSE
dibbler-requestor.x86_64: W: spelling-error %description -l en_US stateful -> tasteful, wasteful, fateful
dibbler-requestor.x86_64: W: spelling-error %description -l en_US autoconfiguration -> auto configuration, auto-configuration, reconfiguration
dibbler-requestor.x86_64: W: no-documentation
dibbler-requestor.x86_64: E: incorrect-fsf-address /usr/share/licenses/dibbler-requestor/LICENSE
dibbler-requestor.x86_64: W: no-manual-page-for-binary dibbler-requestor
dibbler-server.x86_64: W: spelling-error %description -l en_US stateful -> tasteful, wasteful, fateful
dibbler-server.x86_64: W: spelling-error %description -l en_US autoconfiguration -> auto configuration, auto-configuration, reconfiguration
dibbler-server.x86_64: E: incorrect-fsf-address /usr/share/licenses/dibbler-server/LICENSE
dibbler-docs.x86_64: W: spelling-error %description -l en_US stateful -> tasteful, wasteful, fateful
dibbler-docs.x86_64: W: spelling-error %description -l en_US autoconfiguration -> auto configuration, auto-configuration, reconfiguration
dibbler-docs.x86_64: E: wrong-script-interpreter /usr/share/doc/dibbler/scripts/notify-scripts/client-notify-bsd.sh /usr/local/bin/bash
dibbler-docs.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/dibbler/examples/server-win32.conf
dibbler-docs.x86_64: E: incorrect-fsf-address /usr/share/licenses/dibbler-docs/LICENSE
dibbler-common.x86_64: W: spelling-error %description -l en_US stateful -> tasteful, wasteful, fateful
dibbler-common.x86_64: W: spelling-error %description -l en_US autoconfiguration -> auto configuration, auto-configuration, reconfiguration
dibbler-common.x86_64: W: no-documentation
dibbler.src: W: spelling-error %description -l en_US stateful -> tasteful, wasteful, fateful
dibbler.src: W: spelling-error %description -l en_US autoconfiguration -> auto configuration, auto-configuration, reconfiguration
7 packages and 0 specfiles checked; 6 errors, 18 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
dibbler-server (rpmlib, GLIBC filtered):
    config(dibbler-server)
    dibbler-common
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)

dibbler-docs (rpmlib, GLIBC filtered):

dibbler-common (rpmlib, GLIBC filtered):

dibbler-client (rpmlib, GLIBC filtered):
    config(dibbler-client)
    dibbler-common
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.1)(64bit)
    rtld(GNU_HASH)

dibbler-relay (rpmlib, GLIBC filtered):
    config(dibbler-relay)
    dibbler-common
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

dibbler-requestor (rpmlib, GLIBC filtered):
    dibbler-common
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
dibbler-server:
    config(dibbler-server)
    dibbler-server
    dibbler-server(x86-64)

dibbler-docs:
    dibbler-docs
    dibbler-docs(x86-64)

dibbler-common:
    dibbler-common
    dibbler-common(x86-64)

dibbler-client:
    config(dibbler-client)
    dibbler-client
    dibbler-client(x86-64)

dibbler-relay:
    config(dibbler-relay)
    dibbler-relay
    dibbler-relay(x86-64)

dibbler-requestor:
    dibbler-requestor
    dibbler-requestor(x86-64)

Comment 2 Haïkel Guémar 2015-03-28 01:25:53 UTC
Just few things:
* Drop the Group tags, they're not needed anymore
* the license warning in fedora-review report could be safely ignored as it doesn't know about %license yet

I'll let you in the good hands of Kashyap then :)

Comment 3 Kashyap Chamarthy 2015-03-30 10:42:25 UTC
Created attachment 1008345 [details]
Successful Koji *scratch* build log

------
$ koji build --scratch rawhide dibbler-1.0.1-0.RC1.fc21.src.rpm 
Uploading srpm: dibbler-1.0.1-0.RC1.fc21.src.rpm
[====================================] 100% 00:00:12   4.17 MiB 330.49 KiB/sec
Created task: 9364297
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=9364297
Watching tasks (this may be safely interrupted)...
9364297 build (rawhide, dibbler-1.0.1-0.RC1.fc21.src.rpm): open (arm02-builder02.arm.fedoraproject.org)
  9364298 buildArch (dibbler-1.0.1-0.RC1.fc21.src.rpm, armv7hl): open (arm02-builder22.arm.fedoraproject.org)
  9364300 buildArch (dibbler-1.0.1-0.RC1.fc21.src.rpm, i686): open (buildvm-14.phx2.fedoraproject.org)
  9364299 buildArch (dibbler-1.0.1-0.RC1.fc21.src.rpm, x86_64): open (buildhw-03.phx2.fedoraproject.org)
  9364300 buildArch (dibbler-1.0.1-0.RC1.fc21.src.rpm, i686): open (buildvm-14.phx2.fedoraproject.org) -> closed
  0 free  3 open  1 done  0 failed
  9364299 buildArch (dibbler-1.0.1-0.RC1.fc21.src.rpm, x86_64): open (buildhw-03.phx2.fedoraproject.org) -> closed
  0 free  2 open  2 done  0 failed
  9364298 buildArch (dibbler-1.0.1-0.RC1.fc21.src.rpm, armv7hl): open (arm02-builder22.arm.fedoraproject.org) -> closed
  0 free  1 open  3 done  0 failed
9364297 build (rawhide, dibbler-1.0.1-0.RC1.fc21.src.rpm): open (arm02-builder02.arm.fedoraproject.org) -> closed
  0 free  0 open  4 done  0 failed

9364297 build (rawhide, dibbler-1.0.1-0.RC1.fc21.src.rpm) completed successfully
------

Comment 4 Kashyap Chamarthy 2015-04-01 18:44:54 UTC
[Human review below, for the items that were not part of auto-check.]

Short
-----

Just a few small items.

(1) As Haïkel noted, please drop the 'Group' tags, they're not needed
    any more.

(2) Trivial: Please fix these specific warnings (and obviously, ignore
    the ones flagged as 'spelling-error'):
       
     - 'wrong-file-end-of-line-encoding' warning by stripping the
       carriage returns by using the `sed` one-liners here:

        https://fedoraproject.org/wiki/Common_Rpmlint_issues#wrong-file-end-of-line-encoding

      - 'incorrect-fsf-address' -- It is indeed out of date, it's
        trivial, but it'd be nice to keep things updated.

(3) %check: Upstream has 'tests' directory, Ihar, did you try to enable
    it? And, strictly speaking, we don't have to block the review on not
    having %check enabled -- we've done that in the past for many of the
    %OpenStack dependencies.


(4) Can you please ensure the "Fully versioned dependency in subpackages
    if applicable" aspect at the bottom of the review is taken care?
    More on it here:

      http://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

(5) Timestamps: You might want to update the SPEC file to ensure
    timestamps are preserved?

    "When adding file copying commands in the spec file, consider using a
    command that preserves the files' timestamps, eg. cp -p or install
    -p."
    http://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

And, I think we can safely ignore the last generic "EXTRA" item?


Long
----

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* GPL (v2 or later) (with incorrect FSF address)", "LGPL
     (v2.1 or later) (with incorrect FSF address)", "GPL (v2 or later)",
     "Unknown or generated", "GPL (v2 or later) (with incorrect FSF address)",
     "*No copyright* LGPL (v2 or later) (with incorrect FSF address)", "*No
     copyright* GPL (v2 or later)", "GPL (v1 or later) (with incorrect FSF
     address)". 463 files have unknown license. Detailed output of
     licensecheck in /home/kashyapc/work/package-
     review/dibbler/licensecheck.txt

        - NOTE: You might want to notify upstream about the "incorrect
          FSF address", we don't hold up the package for this, though.

[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/dibbler, /usr/share/doc/dibbler/scripts,
     /usr/share/doc/dibbler, /usr/share/doc/dibbler/examples

      - NOTE: The above looks like false positive -- all the
        above directories are part of 'rpms-unpacked'

[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/doc/dibbler/examples,
     /usr/share/doc/dibbler/scripts, /etc/dibbler, /usr/share/doc/dibbler
    
      - NOTE (kashyap): The above looks like false positive -- all the
        above directories are part of 'rpms-unpacked'

[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines


===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in dibbler-
     client , dibbler-relay , dibbler-requestor , dibbler-server , dibbler-
     docs , dibbler-common
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.

===== EXTRA items =====

Generic:
[ ]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed

Comment 5 Ihar Hrachyshka 2015-04-02 15:31:02 UTC
Thanks all for review!

For bad FSF address, I filed in http://klub.com.pl/bugzilla3/show_bug.cgi?id=316

Unit tests are currently failing in upstream, I've reported a bug: http://klub.com.pl/bugzilla3/show_bug.cgi?id=317

The updated package is at:
- https://ihrachyshka.fedorapeople.org/dibbler-1.0.1-0.RC1.1.fc21.src.rpm
- https://ihrachyshka.fedorapeople.org/dibbler.spec
- https://ihrachyshka.fedorapeople.org/0001-fix-gtest-config-path.patch

Comment 6 Kashyap Chamarthy 2015-04-02 18:24:55 UTC
(In reply to Ihar Hrachyshka from comment #5)
> Thanks all for review!
> 
> For bad FSF address, I filed in
> http://klub.com.pl/bugzilla3/show_bug.cgi?id=316

Thanks. We can proceed with package review. When upstream fixes it, you can make a new build

> Unit tests are currently failing in upstream, I've reported a bug:
> http://klub.com.pl/bugzilla3/show_bug.cgi?id=317

Thanks. As you noted the SPEC change log, when upstream fixes the bug, you can re-enable it back.

> The updated package is at:
> - https://ihrachyshka.fedorapeople.org/dibbler-1.0.1-0.RC1.1.fc21.src.rpm
> - https://ihrachyshka.fedorapeople.org/dibbler.spec
> - https://ihrachyshka.fedorapeople.org/0001-fix-gtest-config-path.patch

Nice, `rpmlint` has gone down to 4 benign warnings, so please disregard them.

-----------------
$ rpmlint dibbler-1.0.1-0.RC1.1.fc21.src.rpm dibbler.spec 
dibbler.src: W: spelling-error %description -l en_US stateful -> tasteful, wasteful, fateful
dibbler.src: W: spelling-error %description -l en_US autoconfiguration -> auto configuration, auto-configuration, reconfiguration
dibbler.src:161: W: macro-in-%changelog %check
dibbler.spec:161: W: macro-in-%changelog %check
1 packages and 1 specfiles checked; 0 errors, 4 warnings.
-----------------

I issued another scratch build with the new SRPM, just out of practice. It was successful.

So, looks good. 

Package approved!

Comment 7 Ihar Hrachyshka 2015-04-03 11:45:53 UTC
New Package SCM Request
=======================
Package Name: dibbler
Short Description: Portable DHCPv6 implementation
Upstream URL: http://klub.com.pl/dhcpv6
Owners: ihrachyshka
Branches: f20 f21 f22 epel7
InitialCC: ihrachyshka

Comment 8 Patrick Uiterwijk 2015-04-03 13:13:12 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2015-04-07 09:55:42 UTC
dibbler-1.0.1-0.RC1.1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dibbler-1.0.1-0.RC1.1.el7

Comment 10 Fedora Update System 2015-04-07 09:55:49 UTC
dibbler-1.0.1-0.RC1.1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dibbler-1.0.1-0.RC1.1.fc22

Comment 11 Fedora Update System 2015-04-07 09:55:55 UTC
dibbler-1.0.1-0.RC1.1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dibbler-1.0.1-0.RC1.1.fc20

Comment 12 Fedora Update System 2015-04-07 09:57:04 UTC
dibbler-1.0.1-0.RC1.1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dibbler-1.0.1-0.RC1.1.fc21

Comment 13 Ralf Corsepius 2015-04-07 10:56:03 UTC
* Please fix the %-warnings - These warnings are not supposed to be ignored.

* Check your *-docs package. It contains a number of unowned subdirectories
=> The package does not uninstall cleanly.

Comment 14 Ihar Hrachyshka 2015-04-07 11:34:54 UTC
Thanks Ralf!

I've fixed the warning due to %check inside changelog.
I've also included all directories for -docs package to clean properly. I guess I also should put sysconfdir there too (?).

Comment 15 Fedora Update System 2015-04-07 12:09:51 UTC
dibbler-1.0.1-0.RC1.2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/dibbler-1.0.1-0.RC1.2.el7

Comment 16 Fedora Update System 2015-04-07 12:09:58 UTC
dibbler-1.0.1-0.RC1.2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/dibbler-1.0.1-0.RC1.2.fc20

Comment 17 Fedora Update System 2015-04-07 12:11:08 UTC
dibbler-1.0.1-0.RC1.2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dibbler-1.0.1-0.RC1.2.fc21

Comment 18 Fedora Update System 2015-04-07 12:12:17 UTC
dibbler-1.0.1-0.RC1.2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dibbler-1.0.1-0.RC1.2.fc22

Comment 19 Parag AN(पराग) 2015-04-07 12:13:23 UTC
ihrachyshka, actually when you use '%' character in spec changelog, you should use it twice '%%' to silent the rpmlint warning. You can follow this next time you use % in changelog.

Comment 20 Fedora Update System 2015-04-18 09:43:20 UTC
dibbler-1.0.1-0.RC1.2.fc20 has been pushed to the Fedora 20 stable repository.

Comment 21 Fedora Update System 2015-04-18 09:48:16 UTC
dibbler-1.0.1-0.RC1.2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 22 Fedora Update System 2015-04-21 18:26:02 UTC
dibbler-1.0.1-0.RC1.2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 23 Fedora Update System 2015-04-22 18:45:13 UTC
dibbler-1.0.1-0.RC1.2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.